Subject: bug#25851: 25.2; GTK warning when starting Emacs when desktop file has more than one frame

From: martin rudalics <[email-masked]>
Date: Sat, 25 Mar 2017 10:25:53 +0100

> My reading of this text is that it says that applications should not
 > micromanage the positioning of windows. That makes sense. But placement
 > of restored windows at startup is not micromanagement in my opinion.
 > After all, it is putting windows back in the position that the Window
 > Manager placed them in the first place, or back in the position that the
 > user moved them to.

Right from our POV.  But the window manager wouldn't know that these
frames are just "put back".

Note also that I do not necessarily agree with that text - it just might
explain the rationale of the windowing systems or window managers we use.

martin